Make an EVR lookup request

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to verify email addresses (Email Verification Request). It will tell you if an email is valid, invalid or unknown.

Special parameters

NameTypeDescription
emailsarrayThis is the value representing the array of email addresses you want to create an EVR request for (max 1000).

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
    "evr_request_id": "uuid",
    "evr_request_chunk_waiting_id": "uuid",
    "cost": 0.005,
    "number_of_emails": 1
}
Body Params

Payload to make an EVR request.

email_campaign_contact_list
object
email_campaign_processed
object
emails
array of strings
length between 1 and 1000
Defaults to []
emails
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json